using System;
using System.Web.UI.WebControls;

using Microsoft.SharePoint;
using Microsoft.SharePoint.WebControls;

using SharePointProducts.CopyMove.ApplicationPages;


namespace SharePointProducts.CopyMove.Samples.CustomDialog.Layouts.CopyMoveSamples
{
    public partial class CustomDialog : CustomDialogPageBase
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Button okButton = Page.Master.FindControl("OkButton") as Button;
            if (okButton != null)
            {
                okButton.Click += OkButton_Click;
            }
        }


        private void OkButton_Click(object sender, EventArgs e)
        {
            if (Page.IsValid)
            {
                ResumeTransaction();
            }
        }
    }
}
